# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KABC::ErrorHandler Class Reference

Abstract class that provides displaying of error messages. More...

`#include <errorhandler.h>`

Inheritance diagram for KABC::ErrorHandler:

[legend]
List of all members.

## Public Member Functions

virtual void | error (const QString &msg)=0

## Detailed Description

Abstract class that provides displaying of error messages.

We need this to make libkabc gui independend on the one side and provide user friendly error messages on the other side. Use `ConsoleErrorHandler` or `GUIErrorHandler` in your application.

Definition at line 35 of file errorhandler.h.

The documentation for this class was generated from the following file:

- errorhandler.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:29:43 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001